c_ftcurvd(3NCARG)

NAME
c_ftcurvd - calculate derivatives

FUNCTION PROTOTYPE
int c_ftcurvd (int, float [], float [], int, float [], float []);

SYNOPSIS
int c_ftcurvd (n, xi, yi, m, xo, yo);

DESCRIPTION

n   The number of input data points. (n > 1)

xi  An array containing the abscissae for the input function.

yi  An array containing the functional values of the input function -- y(k) is the functional value at x(k) for k=0,n.

m   The number of desired derivatives.

xo  An array containing the abscissae for the output values.

yo  An array containing the interpolated derivative values -- yo(k) is the functional derivative at xo(k) for k=0,n.

RETURN VALUE
c_ftcurvd returns an error value as per:

= 0 -- no error.
= 1 -- if n is less than 2.
= 2 -- if X values are not strictly increasing.

USAGE
c_ftcurvd is called after all of the desired values for control parameters have been set using the procedures c_ftseti, c_ftsetr, c_ftsetc. Control parameters that apply to c_ftcurvd are: sig, sl1, sln, sf1.

ACCESS
To use c_ftcurvd, load the NCAR Graphics library ngmath.

SEE ALSO
fitgrid_params, c_ftseti, c_ftsetr, c_ftsetc.

Complete documentation for Fitgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/fitgrid/fithome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.